#ifndef __channels__
#define __channels__

#include "struct.h"

extern void m_join(struct fd_list *fd, char **av, int ac);
extern void m_part(struct fd_list *fd, char **av, int ac);
extern void m_list(struct fd_list *fd, char **av, int ac);
extern void m_topic(struct fd_list *fd, char **av, int ac);
extern void m_names(struct fd_list *fd, char **av, int ac);
extern void m_invite(struct fd_list *fd, char **av, int ac);
extern void m_kick(struct fd_list *fd, char **av, int ac);
extern void m_invites(struct fd_list *fd, char **av, int ac);
extern void __send_cprivmsg(struct fd_list *fd, char *dest, char *msg);
extern void __send_tprivmsg(struct fd_list *fd, char *dest, char *msg);
extern void __send_cnotice(struct fd_list *fd, char *dest, char *msg);
extern void __send_tnotice(struct fd_list *fd, char *dest, char *msg);
extern void __part_channel(struct fd_list *fd, char *chan, int quit, char *msg, int kick, struct fd_list *kfd);
extern void __names_reply(struct fd_list *fd, struct chan_list *chan);
extern void __join_existing_channel(struct fd_list *fd, struct chan_list *chan, char **av, int cp);
extern void __join_new_channel(struct fd_list *fd, char *name);
extern void __list_all_channels(struct fd_list *fd);
extern void __list_channel(struct fd_list *fd, char *chan_name);
extern void __who_channel(struct fd_list *fd, char *chan_name);
extern void __add_channel_ban(struct fd_list *fd, struct chan_list *chan, char *banid);
extern void __del_channel_ban(struct fd_list *fd, struct chan_list *chan, char *banid);
extern void __add_channel_exempt(struct fd_list *, struct chan_list *,
				 char *banid);
extern void __del_channel_exempt(struct fd_list *, struct chan_list *,
				 char *banid);
extern void __set_chan_op(struct fd_list *fd, struct chan_list *chan, char *nick, int add);
extern void __set_chan_voice(struct fd_list *fd, struct chan_list *chan, char *nick, int add);
extern struct chan_mode_change *__cmode_parse(struct fd_list *fd, struct chan_list *chan, char *mode_str, char **av, int ac,
					      int arg);
extern void __set_cmode(struct fd_list *fd, struct chan_list *chan, struct chan_mode_change *mode);
extern void __invite_reply(struct fd_list *fd, struct chan_list *chan, char *nick);

#endif /* !__channels__ */
