#ifndef __errors__
#define __errors__

#include "struct.h"

extern void __not_enough_parameters(struct fd_list *fd, char *cmd);
extern void __unknown_command(struct fd_list *fd, char *cmd);
extern void __already_registered(struct fd_list *fd);
extern void __not_registered(struct fd_list *fd);
extern void __nickname_in_use(struct fd_list *fd, char *nick);
extern void __no_recipient(struct fd_list *fd, char *cmd);
extern void __no_text_to_send(struct fd_list *fd);
extern void __banned_from_chan(struct fd_list *fd, struct chan_list *chan);
extern void __invite_only_chan(struct fd_list *fd, struct chan_list *chan);
extern void __bad_chan_key(struct fd_list *fd, struct chan_list *chan);
extern void __chan_is_full(struct fd_list *fd, struct chan_list *chan);
extern void __no_such_channel(struct fd_list *fd, char *chan);
extern void __too_many_channels(struct fd_list *fd, char *name);
extern void __no_priveliges(struct fd_list *fd);
extern void __no_origin(struct fd_list *fd);
extern void __user_on_channel(struct fd_list *fd, char *nick, struct chan_list *chan);
extern void __not_on_channel(struct fd_list *fd, struct chan_list *chan);

#endif /* !__errors__ */
