#include <linux/elf.h>

#undef __NFDBITS
#undef __FDMASK
#undef ssize_t

#include <stdio.h>
#include <unistd.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include <setjmp.h>

#define O_RDONLY 02

main(int argc, char **argv) {
	int fd;
	void *addr;
	Elf32_Ehdr elfhdr;
	Elf32_Phdr elfphdr;
	struct stat sbuf;
	jmp_buf env;
	if (argc < 2) exit(0);
	
	fd = open(argv[1], O_RDONLY);
	if (!fd) { perror("read"); exit(-1); }

	fstat(fd, &sbuf);
	read(fd, &elfhdr, sizeof(elfhdr));
	addr = mmap(NULL, sbuf.st_size, PROT_EXEC|PROT_READ|PROT_WRITE, MAP_SHARED, fd, 0);
	
	setjmp(env);
	longjmp(env, elfhdr.e_entry + (int) addr);
}

