#ifndef __info__
#define __info__

#include "struct.h"
#include <time.h>		/* need time_t */

extern time_t __time(time_t *);
extern void __lusers_reply(struct fd_list *fd);
extern void __registered_reply(struct fd_list *fd);
extern void __version_reply(struct fd_list *fd);
extern void __info_reply(struct fd_list *fd);
extern void __stats_o_reply(struct fd_list *fd);
extern void __stats_p_reply(struct fd_list *fd);
extern void __stats_m_reply(struct fd_list *fd);
extern void __stats_u_reply(struct fd_list *fd);
extern void __stats_reply(struct fd_list *fd, char query, char *server);
extern void m_version(struct fd_list *fd, char **av, int ac);
extern void m_info(struct fd_list *fd, char **av, int ac);
extern void m_lusers(struct fd_list *fd, char **av, int ac);
extern void m_stats(struct fd_list *fd, char **av, int ac);
extern void m_admin(struct fd_list *fd, char **av, int ac);
extern void m_links(struct fd_list *fd, char **av, int ac);
extern void m_time(struct fd_list *fd, char **av, int ac);
extern void m_settime(struct fd_list *fd, char **av, int ac);
extern void m_motd(struct fd_list *fd, char **av, int ac);
extern int strcaseicmp(const char *, const char *, int);
extern char *my_ctime(time_t);

#endif /* !__info__ */
