#ifndef __user__
#define __user__

#include "struct.h"

extern void __whois_reply(struct fd_list *fd, char *nick);
extern void __oper_reply(struct fd_list *fd, char *op_nick, char *op_pass);
extern void __send_privmsg(struct fd_list *fd, char *dest, char *msg);
extern void __send_notice(struct fd_list *fd, char *dest, char *msg);
extern void __who_user(struct fd_list *fd, char *nick);
extern struct user_mode_change *__parse_umode(struct fd_list *fd, char *mode_str);
extern void __set_umode(struct fd_list *fd, struct user_mode_change *mode);
extern void m_quit(struct fd_list *fd, char **av, int ac);
extern void m_dns(struct fd_list *fd, char **av, int ac);
extern void m_user(struct fd_list *fd, char **av, int ac);
extern void m_nick(struct fd_list *fd, char **av, int ac);
extern void m_whois(struct fd_list *fd, char **av, int ac);
extern void m_oper(struct fd_list *fd, char **av, int ac);
extern void m_pass(struct fd_list *fd, char **av, int ac);
extern void m_away(struct fd_list *fd, char **av, int ac);
extern void m_whowas(struct fd_list *fd, char **av, int ac);
extern void __init_dns_list();

#endif /* !__user__ */
